Get an occurrence
Gets a specific occurrence.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/schedules/{scheduleID}/occurrences/{occurrenceFilter}" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
var scheduleID string
var filter func() string
mc.GetScheduleOccurrence(ctx, accountID, scheduleID, filter)
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.scheduling.getOccurrance({
accountID: "ea12b5d5-6249-4af2-ae48-6141a5251090",
scheduleID: "289e94cd-66f1-4df5-999f-46d0f40b4ce9",
occurrenceFilter: "<value>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->scheduling->getOccurrance(
accountID: 'ea12b5d5-6249-4af2-ae48-6141a5251090',
scheduleID: '289e94cd-66f1-4df5-999f-46d0f40b4ce9',
occurrenceFilter: '<value>'
);
if ($response->occurrencesResponse !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.scheduling.get_occurrance(account_id="ea12b5d5-6249-4af2-ae48-6141a5251090", schedule_id="289e94cd-66f1-4df5-999f-46d0f40b4ce9", occurrence_filter="<value>")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.GetScheduledOccurrenceResponse;
public class Application {
public static void main(String[] args) throws Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
GetScheduledOccurrenceResponse res = sdk.scheduling().getOccurrance()
.accountID("ea12b5d5-6249-4af2-ae48-6141a5251090")
.scheduleID("289e94cd-66f1-4df5-999f-46d0f40b4ce9")
.occurrenceFilter("<value>")
.call();
if (res.occurrencesResponse().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.scheduling.get_occurrance(account_id: 'ea12b5d5-6249-4af2-ae48-6141a5251090', schedule_id: '289e94cd-66f1-4df5-999f-46d0f40b4ce9', occurrence_filter: '<value>')
unless res.occurrences_response.nil?
# handle response
end{
"scheduleID": "string",
"occurrenceID": "string",
"mode": "production",
"generated": true,
"indefinite": true,
"canceledOn": "2019-08-24T14:15:22Z",
"runOn": "2019-08-24T14:15:22Z",
"runTransfer": {
"amount": {
"currency": "USD",
"value": 1204
},
"salesTaxAmount": {
"currency": "USD",
"value": 1204
},
"destination": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"source": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"description": "string",
"lineItems": {
"items": [
{
"name": "string",
"basePrice": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"quantity": 1,
"options": [
{
"name": "string",
"quantity": 1,
"priceModifier": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"group": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
],
"productID": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
]
}
},
"ranOn": "2019-08-24T14:15:22Z",
"ranTransferID": "string",
"status": "pending",
"error": {
"message": "string"
}
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
scheduleID
string
required
occurrenceFilter
string
required
Allows the specification of additional filters beyond the string.
Specifying a string returns the exact occurrence.
Specifying a RFC 3339 timestamp returns the latest occurrence at or before that timestamp.
Specifying latest returns the latest occurrence at or before now.
Response
runOn
string<date-time>
required
runTransfer
object
required
Show child attributes
amount
object
required
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
description
string
required
destination
object
required
Show child attributes
paymentMethodID
string
required
achDetails
object
Show child attributes
companyEntryDescription
string
[4 to 10] characters
originatingCompanyName
string
[4 to 16] characters
cardDetails
object
Show child attributes
dynamicDescriptor
string
[4 to 22] characters
partnerAccountID
string
required
source
object
required
Show child attributes
paymentMethodID
string
required
achDetails
object
Show child attributes
companyEntryDescription
string
[4 to 10] characters
originatingCompanyName
string
[4 to 16] characters
cardDetails
object
Show child attributes
dynamicDescriptor
string
[4 to 22] characters
lineItems
object
Show child attributes
items
array<object>
required
Show child attributes
basePrice
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
images
array<object>
Show child attributes
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
options
array<object>
Show child attributes
group
string
<=100 characters
images
array<object>
Show child attributes
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
priceModifier
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
quantity
integer<int32>
productID
string
quantity
integer<int32>
salesTaxAmount
object
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
canceledOn
string<date-time>
error
object
Show child attributes
message
string
generated
boolean
indefinite
boolean
mode
string
sandbox,
production
occurrenceID
string
ranOn
string<date-time>
ranTransferID
string
scheduleID
string
status
string<enum>
pending,
failed,
completed